Bold VideoDocs

Admin: Sessions

List active + last-30-days revoked sessions for a viewer

GET
/api/v1/admin/viewers/{viewer_id}/sessions

Authorization

admin_api_token
X-Bold-Admin-Api-Key<token>

Privileged admin key (bold_live_* with admin: true) for Mission Control and support automation. Do not put this key in customer-owned apps.

In: header

Path Parameters

viewer_id*string

Viewer UUID

Response Body

application/json

application/json

application/json

curl -X GET "https://app.boldvideo.io/api/v1/admin/viewers/string/sessions"
{
  "data": [
    {
      "device_id": "string",
      "device_label": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "inserted_at": "2019-08-24T14:15:22Z",
      "last_seen_at": "2019-08-24T14:15:22Z",
      "location": "string",
      "platform": "string",
      "revoked_at": "2019-08-24T14:15:22Z",
      "revoked_by": "string",
      "revoked_reason": "string",
      "travel_verdict": "string"
    }
  ]
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Admin-revoke every active session for a viewer

POST
/api/v1/admin/viewers/{viewer_id}/sessions/revoke-all

Authorization

admin_api_token
X-Bold-Admin-Api-Key<token>

Privileged admin key (bold_live_* with admin: true) for Mission Control and support automation. Do not put this key in customer-owned apps.

In: header

Path Parameters

viewer_id*string

Viewer UUID

Request Body

application/json

Optional reason

reason?string|null

Response Body

application/json

application/json

application/json

curl -X POST "https://app.boldvideo.io/api/v1/admin/viewers/string/sessions/revoke-all" \  -H "Content-Type: application/json" \  -d '{}'
{
  "ok": true,
  "revoked_count": 0
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}

Admin-revoke a single session

POST
/api/v1/admin/viewers/{viewer_id}/sessions/{id}/revoke

Authorization

admin_api_token
X-Bold-Admin-Api-Key<token>

Privileged admin key (bold_live_* with admin: true) for Mission Control and support automation. Do not put this key in customer-owned apps.

In: header

Path Parameters

viewer_id*string

Viewer UUID

id*string

Session UUID

Request Body

application/json

Optional reason

reason?string|null

Response Body

application/json

application/json

application/json

curl -X POST "https://app.boldvideo.io/api/v1/admin/viewers/string/sessions/string/revoke" \  -H "Content-Type: application/json" \  -d '{}'
{
  "ok": true,
  "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}